#!/bin/sh

read cvmPid < /var/run/cvm.pid

if [ -z "$cvmPid" ]; then
  eips 0 38 " ZEGAR ERROR: "
  eips 0 39 " cvm is dead :( reboot needed"
  exit 2
fi

isBookOpened(){
  ls -al /proc/`cat /var/run/cvm.pid`/fd | 
  grep documents | 
  grep -v azw2 | # invert search of kindle apps (e.g. KUAL)
  wc -l
}

showTimeBook(){
  /mnt/us/zegar/fbprint 525 767 `date +"%H:%M"` 
  # little nice-fonted kindle-ui-like clock 
  # on right side of the progress bar (opposite to book percentage)
  # to be shown when reading book
}
showTimeGeneral(){
  eips 45 39 `date +"%H:%M"` 
  # huge rough TTY-like clock 
  # in bottom right corner to be shown in UI
}

while :; do
  waitforkey &&
  usleep 100000 &&
  x=$(isBookOpened)

  if [ "$x" == "0" ]; then
    showTimeGeneral
  else
    showTimeBook     
  fi
done